Chess Now! IconChess Now
API ReferenceUser

Get user friends

GET
/api/user/{username}/friends

Fetches the friends list for a specific user by their username.

Path Parameters

username*string

Header Parameters

cookie?string
authorization?string
Match^Bearer .*

Response Body

application/json

curl -X GET "https://example.com/api/user/string/friends"
{  "success": true,  "data": [    {      "id": 1,      "createdAt": "2024-01-01T12:00:00Z",      "userAId": "123e4567-e89b-12d3-a456-426614174000",      "userBId": "987e6543-e21b-34d5-a678-426614174000",      "userA": {        "id": "123e4567-e89b-12d3-a456-426614174000",        "name": "John Doe",        "username": "johndoe",        "createdAt": "2024-01-01T12:00:00Z",        "updatedAt": "2024-01-01T12:00:00Z",        "botOwnerId": null,        "rating": 1200,        "rd": 350,        "vol": 0.06      },      "userB": {        "id": "987e6543-e21b-34d5-a678-426614174000",        "name": "Jane Doe",        "username": "janedoe",        "createdAt": "2024-01-01T12:00:00Z",        "updatedAt": "2024-01-01T12:00:00Z",        "botOwnerId": null,        "rating": 1200,        "rd": 350,        "vol": 0.06      }    }  ]}